# FileStat
<span class="source-link">[[Source]](src/files/file_caps.md#L33)</span>
```pony
primitive val FileStat
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file_caps.md#L33)</span>


```pony
new val create()
: FileStat val^
```

#### Returns

* [FileStat](files-FileStat) val^

---

## Public Functions

### value
<span class="source-link">[[Source]](src/files/file_caps.md#L34)</span>


```pony
fun box value()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### eq
<span class="source-link">[[Source]](src/files/file_caps.md#L34)</span>


```pony
fun box eq(
  that: FileStat val)
: Bool val
```
#### Parameters

*   that: [FileStat](files-FileStat) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/file_caps.md#L34)</span>


```pony
fun box ne(
  that: FileStat val)
: Bool val
```
#### Parameters

*   that: [FileStat](files-FileStat) val

#### Returns

* [Bool](builtin-Bool) val

---

